# Uses of Enum Class
javafx.print.PrintSides

Packages that use PrintSides
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.

## Uses of PrintSides in javafx.print

Methods in javafx.print that return PrintSides
Modifier and Type
Method
Description
`PrintSides`
PrinterAttributes.`getDefaultPrintSides()`
Returns the default value for duplex settings.
`PrintSides`
JobSettings.`getPrintSides()`
If a printer supports it, then a job may be printed on both sides of the media (paper), ie duplex printing.
`static PrintSides`
PrintSides.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PrintSides[]`
PrintSides.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.print that return types with arguments of type PrintSides
Modifier and Type
Method
Description
`Set<PrintSides>`
PrinterAttributes.`getSupportedPrintSides()`
Returns an unmodifiable set of the supported duplex settings for this printer.
`final ObjectProperty<PrintSides>`
JobSettings.`printSidesProperty()`
Property representing an instance of `PrintSides`.
Methods in javafx.print with parameters of type PrintSides
Modifier and Type
Method
Description
`void`
JobSettings.`setPrintSides(PrintSides sides)`
Set the `PrintSides` property which controls duplex printing.